Get Groups
Description
Get groups will get the groups that a subject is in
Features
Can base member list based on memberfilter (e.g. All, Immediate, Effective, Composite)
Lookup subjects by subject lookup (by id, source, identifier, etc)
Lookup groups by group lookup (by name or uuid)
Returns group / subject information, can be detailed or not
Can actAs another user
For 2.0+, you can pass in pointInTimeFrom and pointInTimeTo to check members at a certain point in time in the past, or in a date range. This should be formatted: yyyy/MM/dd HH:mm:ss.SSS
Get groups Lite service
Accepts one subject to list groups
Documentation: SOAP (click on getGroupsLite), REST (click on getGroupsLite)
For REST, the request can put data in query string (in URL or request body)
REST request (colon is escaped to %3A): GET /grouper-ws/servicesRest/v1_3_000/subjects/10021368/groups
Note: if passing data in request body e.g. actAs, use a POST
(see documentation above for details): Request object, response object
Samples (all files with "Lite" in them, click on "download" to see file)
Get groups service
Accepts multiple subjects to retrieve multiple lists of groups
Documentation: SOAP (click on getGroups), REST (click on getGroups)
REST request (colon is escaped to %3A): POST /grouper-ws/servicesRest/v1_3_000/subjects/groups
(see documentation above for details): Request object, response object
Returns an overall status, and a status for each assignment
Samples (all files without "Lite" in them, click on "download" to see files)